/**
 *
 */
package de.intevation.gnv.action;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class ArtifactDatabaseActionBase extends Action {

    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = Logger.getLogger(ArtifactDatabaseActionBase.class);
    
    /**
     * Constructor
     */
    public ArtifactDatabaseActionBase() {
        super();
    }

    /**
     * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
     */
    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
            log.debug("ArtifactDatabaseActionBase.execute 1");
            return super.execute(mapping, form, request, response);
    }

    /**
     * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.ServletRequest, javax.servlet.ServletResponse)
     */
    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            ServletRequest request, ServletResponse response) throws Exception {
            log.debug("ArtifactDatabaseActionBase.execute 2");
            return super.execute(mapping, form, request, response);
    }

 
}
